package com.YuyeTech.HeartRate.game.food.service;

import com.YuyeTech.HeartRate.common.service.*;
import com.YuyeTech.HeartRate.game.food.pojo.Food;
import com.YuyeTech.HeartRate.game.food.vo.FoodSimpleVo;
import com.YuyeTech.HeartRate.game.food.vo.FoodVo;

import java.util.List;

public interface FoodService extends CommonService<FoodVo, Food, Integer> {

    Food addFood(Food food);

    List<FoodSimpleVo> getListFromUrl(String url);

    List<Food> getListByIds(List<Integer> ids);
}
